package com.ruoyi.platform.service;

import com.ruoyi.platform.vo.InsMetricInfoVo;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface AimService {

    List<InsMetricInfoVo> getExpTrainInfos(Integer experimentId, String offset, int limit) throws Exception;

    List<InsMetricInfoVo> getExpEvaluateInfos(Integer experimentId, String offset, int limit) throws Exception;

    Page<InsMetricInfoVo> getExpInfos(boolean isTrain, Integer experimentId, int page, int size);

    List<InsMetricInfoVo> getExpInfos1(boolean isTrain, Integer experimentId, String runId) throws Exception;

    String getExpMetrics(List<String> runIds) throws Exception;

    HashMap<String, Object> queryMetricsParams(String runId) throws Exception;

    List<Map<String, Object>> getBatchMetric(String runHash, String body);
}
